WXGLADE(1)

NAME
wxglade - python program to build user interfaces based on the wxWidgets toolset.

SYNOPSIS

wxglade [--help | -h]

wxglade [--version]

wxglade [FILENAME.wxg]

wxglade {-g LANG | --generate-code LANG} [-o DESTINATION | --output DESTINATION] FILENAME.wxg

DESCRIPTION

wxglade wxGlade is a GUI designer written in Python with the popular GUI toolkit wxPython, that helps you create wxWidgets/wxPython user interfaces. At the moment it can generate Python, Lisp, C++ and XRC (wxWidgets' XML resources) code.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the Info files.

-g or --generate-code LANG
    If you only want to generate the code without starting the GUI, use the -g or --generate-code option with the language as argument

    Possible values for LANG are "python", "lisp", "XRC", "perl" or "C++".

-o or --output DESTINATION
    You can specify the destination of the generated code with -o or --output option.

    The DESTINATION argument can be a file or a directory. It is a file when the FILENAME.wxg generates single-file source code. It is a directory when the FILENAME.wxg generates multiple-file source code.

-h or --help
    Show the help message and exit

--version
    Show programs version number and exit

EXAMPLES

Generate Python code out of myapp.wxg:

wxglade -o /tmp -g python myapp.wxg

Open file myapp.wxg in wxGlade GUI:

wxglade myapp.wxg

BUGS

Report wxGlade bugs to <wxglade-general@lists.sourceforge.net> or <http://sourceforge.net/projects/wxglade/>

SEE ALSO

wxGlade home page <http://wxgalde.sourceforge.net>

AUTHORS

Georges Khaznadar <georgesk@ofset.org>
    This manual page was originally written by Georges Khaznadar for the Debian(TM) system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation. On Debian(TM) systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

Carsten Grohmann <mail@carstengrohmann.de>
    Current maintainer of this manpage.

COPYRIGHT
Copyright © 2003, 2012 Georges Khaznadar, Carsten Grohmann